Package com.independentsoft.office.word.tables

# Class RowProperties

java.lang.Object
com.independentsoft.office.word.tables.RowProperties

public class RowProperties extends Object
The Class RowProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RowProperties()`
  Instantiates a new row properties.
  `RowProperties​(InternalXMLStreamReader reader)`
  Instantiates a new row properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RowProperties`
  `clone()`
  `HorizontalAlignmentType`
  `getAlignment()`
  Gets the alignment.
  `ExtendedBoolean`
  `getCantSplit()`
  Gets the cant split.
  `Width`
  `getCellSpacing()`
  Gets the cell spacing.
  `ConditionalFormatting`
  `getConditionalFormatting()`
  Gets the conditional formatting.
  `DeletedRow`
  `getDeletedRow()`
  Gets the deleted row.
  `long`
  `getDivID()`
  Gets the div id.
  `int`
  `getGridColumnsAfterLastCell()`
  Gets the grid columns after last cell.
  `int`
  `getGridColumnsBeforeFirstCell()`
  Gets the grid columns before first cell.
  `ExtendedBoolean`
  `getHeader()`
  Gets the header.
  `RowHeight`
  `getHeight()`
  Gets the height.
  `ExtendedBoolean`
  `getHidden()`
  Gets the hidden.
  `InsertedRow`
  `getInsertedRow()`
  Gets the inserted row.
  `Width`
  `getPreferredWidthAfter()`
  Gets the preferred width after.
  `Width`
  `getPreferredWidthBefore()`
  Gets the preferred width before.
  `static boolean`
  `isEmpty​(String value)`
  Checks if is empty.
  `void`
  `setAlignment​(HorizontalAlignmentType alignment)`
  Sets the alignment.
  `void`
  `setCantSplit​(ExtendedBoolean cantSplit)`
  Sets the cant split.
  `void`
  `setCellSpacing​(Width cellSpacing)`
  Sets the cell spacing.
  `void`
  `setConditionalFormatting​(ConditionalFormatting conditionalFormatting)`
  Sets the conditional formatting.
  `void`
  `setDeletedRow​(DeletedRow deletedRow)`
  Sets the deleted row.
  `void`
  `setDivID​(long divID)`
  Sets the div id.
  `void`
  `setGridColumnsAfterLastCell​(int gridColumnsAfterLastCell)`
  Sets the grid columns after last cell.
  `void`
  `setGridColumnsBeforeFirstCell​(int gridColumnsBeforeFirstCell)`
  Sets the grid columns before first cell.
  `void`
  `setHeader​(ExtendedBoolean header)`
  Sets the header.
  `void`
  `setHeight​(RowHeight height)`
  Sets the height.
  `void`
  `setHidden​(ExtendedBoolean hidden)`
  Sets the hidden.
  `void`
  `setInsertedRow​(InsertedRow insertedRow)`
  Sets the inserted row.
  `void`
  `setPreferredWidthAfter​(Width preferredWidthAfter)`
  Sets the preferred width after.
  `void`
  `setPreferredWidthBefore​(Width preferredWidthBefore)`
  Sets the preferred width before.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RowProperties

    public RowProperties()
    Instantiates a new row properties.

  - ### RowProperties

    public RowProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new row properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public RowProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isEmpty

    public static boolean isEmpty​(String value)
    Checks if is empty.
    Parameters:
      `value` - the value
    Returns:
      true, if is empty

  - ### getInsertedRow

    public InsertedRow getInsertedRow()
    Gets the inserted row.
    Returns:
      the inserted row

  - ### setInsertedRow

    public void setInsertedRow​(InsertedRow insertedRow)
    Sets the inserted row.
    Parameters:
      `insertedRow` - the new inserted row

  - ### getDeletedRow

    public DeletedRow getDeletedRow()
    Gets the deleted row.
    Returns:
      the deleted row

  - ### setDeletedRow

    public void setDeletedRow​(DeletedRow deletedRow)
    Sets the deleted row.
    Parameters:
      `deletedRow` - the new deleted row

  - ### getGridColumnsAfterLastCell

    public int getGridColumnsAfterLastCell()
    Gets the grid columns after last cell.
    Returns:
      the grid columns after last cell

  - ### setGridColumnsAfterLastCell

    public void setGridColumnsAfterLastCell​(int gridColumnsAfterLastCell)
    Sets the grid columns after last cell.
    Parameters:
      `gridColumnsAfterLastCell` - the new grid columns after last cell

  - ### getGridColumnsBeforeFirstCell

    public int getGridColumnsBeforeFirstCell()
    Gets the grid columns before first cell.
    Returns:
      the grid columns before first cell

  - ### setGridColumnsBeforeFirstCell

    public void setGridColumnsBeforeFirstCell​(int gridColumnsBeforeFirstCell)
    Sets the grid columns before first cell.
    Parameters:
      `gridColumnsBeforeFirstCell` - the new grid columns before first cell

  - ### getHidden

    public ExtendedBoolean getHidden()
    Gets the hidden.
    Returns:
      the hidden

  - ### setHidden

    public void setHidden​(ExtendedBoolean hidden)
    Sets the hidden.
    Parameters:
      `hidden` - the new hidden

  - ### getHeader

    public ExtendedBoolean getHeader()
    Gets the header.
    Returns:
      the header

  - ### setHeader

    public void setHeader​(ExtendedBoolean header)
    Sets the header.
    Parameters:
      `header` - the new header

  - ### getAlignment

    public HorizontalAlignmentType getAlignment()
    Gets the alignment.
    Returns:
      the alignment

  - ### setAlignment

    public void setAlignment​(HorizontalAlignmentType alignment)
    Sets the alignment.
    Parameters:
      `alignment` - the new alignment

  - ### getPreferredWidthBefore

    public Width getPreferredWidthBefore()
    Gets the preferred width before.
    Returns:
      the preferred width before

  - ### setPreferredWidthBefore

    public void setPreferredWidthBefore​(Width preferredWidthBefore)
    Sets the preferred width before.
    Parameters:
      `preferredWidthBefore` - the new preferred width before

  - ### getPreferredWidthAfter

    public Width getPreferredWidthAfter()
    Gets the preferred width after.
    Returns:
      the preferred width after

  - ### setPreferredWidthAfter

    public void setPreferredWidthAfter​(Width preferredWidthAfter)
    Sets the preferred width after.
    Parameters:
      `preferredWidthAfter` - the new preferred width after

  - ### getHeight

    public RowHeight getHeight()
    Gets the height.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(RowHeight height)
    Sets the height.
    Parameters:
      `height` - the new height

  - ### getConditionalFormatting

    public ConditionalFormatting getConditionalFormatting()
    Gets the conditional formatting.
    Returns:
      the conditional formatting

  - ### setConditionalFormatting

    public void setConditionalFormatting​(ConditionalFormatting conditionalFormatting)
    Sets the conditional formatting.
    Parameters:
      `conditionalFormatting` - the new conditional formatting

  - ### getDivID

    public long getDivID()
    Gets the div id.
    Returns:
      the div id

  - ### setDivID

    public void setDivID​(long divID)
    Sets the div id.
    Parameters:
      `divID` - the new div id

  - ### getCellSpacing

    public Width getCellSpacing()
    Gets the cell spacing.
    Returns:
      the cell spacing

  - ### setCellSpacing

    public void setCellSpacing​(Width cellSpacing)
    Sets the cell spacing.
    Parameters:
      `cellSpacing` - the new cell spacing

  - ### getCantSplit

    public ExtendedBoolean getCantSplit()
    Gets the cant split.
    Returns:
      the cant split

  - ### setCantSplit

    public void setCantSplit​(ExtendedBoolean cantSplit)
    Sets the cant split.
    Parameters:
      `cantSplit` - the new cant split